Archive form
Archives the specified form.
DELETE
/v1/forms/:pageIdAuthorization
api_key_auth AuthorizationBearer <token>
API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
pageId*string
Unique identifier. Must be in BSON ObjectId format.
Match
^[0-9a-fA-F]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.checkoutpage.com/v1/forms/:pageId"{
"data": {
"id": "65f4a1c2e4a9f3d2b1c0a9e8",
"sellerId": "65f4a1c2e4a9f3d2b1c0a9e8",
"name": "string",
"slug": "string",
"status": "published",
"images": [
{
"fileId": "string",
"url": "https://bucket-name.s3.amazonaws.com/image.jpg",
"name": "product-image.jpg",
"size": 245678,
"width": 1920,
"height": 1080
}
],
"locale": "string",
"fields": [
{
"id": "507f1f77bcf86cd799439011",
"label": "Company Name",
"placeholder": "Enter your company name",
"element": "text",
"type": "company-name",
"options": [
{
"id": "65f4a1c2e4a9f3d2b1c0a9e8",
"label": "Label",
"value": "value"
}
],
"required": true,
"order": 0,
"reference": "custom_field_1",
"hidden": false,
"defaultValue": {
"enabled": true,
"value": "string"
},
"showHideLogic": {
"enabled": true,
"comparison": "is",
"value": "string",
"element": {
"elementTitle": "string",
"elementType": "field",
"elementId": "string"
}
},
"minValue": {
"enabled": true,
"value": "string"
},
"maxValue": {
"enabled": true,
"value": "string"
},
"limitAllowedCountries": {
"enabled": true,
"countries": [
"string"
]
},
"showSelectedDialCode": true,
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
],
"url": "string",
"customizeCheckoutConfirmation": true,
"closePopupOnClickOutside": true,
"funnelSteps": [
{
"type": "upsell",
"order": 1,
"enabled": true,
"config": {
"action": "checkout",
"pageId": "507f1f77bcf86cd799439012"
}
},
{
"type": "confirmation",
"order": 2,
"enabled": true,
"config": {
"action": "confirmation",
"customizeCheckoutConfirmation": true,
"confirmationCheckoutTitle": "Order confirmed",
"confirmationCheckoutMessage": "<p>Thanks for your purchase.</p>"
}
}
],
"visitCount": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"redirect": {
"enabled": true,
"url": "string"
},
"afterPaymentAction": "confirmation",
"redirectPageId": "65f4a1c2e4a9f3d2b1c0a9e8",
"redirectUrl": "string",
"redirectUrlPath": [
{
"key": "string",
"identifier": "string"
}
],
"redirectUrlQuery": [
{
"parameter": "string",
"key": "string",
"identifier": "string"
}
],
"redirectUrlInsideEmbed": true,
"confirmationCheckoutTitle": "string",
"confirmationCheckoutMessage": "string",
"sendPaymentNotification": true,
"notifyEmail": "string",
"sendEmailConfirmation": true,
"customizeEmailConfirmation": true,
"confirmationEmailSubject": "string",
"confirmationEmailMessage": "string",
"confirmationEmailShowLogo": true,
"confirmationEmailShowStoreName": true,
"googleIndex": true,
"trackingCodes": "string",
"type": "form",
"title": "string",
"description": "string",
"descriptionHtml": "string",
"allowDynamicTitle": true,
"allowDynamicDescription": true,
"invoiceSettings": {
"bankDetails": "Account: 12345678, Sort code: 00-00-00",
"additionalInformation": {
"enabled": true,
"title": "Payment terms",
"message": "Payment is due within 30 days of invoice date."
},
"dueDays": {
"enabled": true,
"days": 30
}
},
"files": [
{
"id": "string",
"name": "string",
"location": "string",
"purpose": "image",
"size": 0,
"type": "string",
"width": 0,
"height": 0
}
],
"submissionCount": 0
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}